<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Bangladesh Submarine Cable Company Limited (BSCCL)</title>
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/bootstrap-theme.min.css" rel="stylesheet">
    <link href="css/style.css" rel="stylesheet">
    <link href="css/font-awesome.min.css" rel="stylesheet">
    <link href="css/cssmenu.css" rel="stylesheet">
    <link href="css/foundation-datepicker.min.css" rel="stylesheet">
    <link rel="stylesheet" href="css/jquery-ui.css">
    <link rel="stylesheet" href="css/bootstrap-select.min.css">
    <link href='https://fonts.googleapis.com/css?family=Open+Sans' rel='s2"tylesheet' type='text/css'>
    <script type="text/javascript"><?php echo "var ADMIN_URL='".ADMIN_URL."'";?></script>
    <!--<script src="//code.jquery.com/jquery-1.12.0.min.js"></script>-->
    <script src="js/jquery-2.1.1.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/foundation-datepicker.js"></script>
    <script src="js/foundation-datepicker.vi.js"></script>
    <script src="js/foundation.min.js"></script>
    <script src="js/foundation.magellan.js"></script>
    <script src="js/custom.js"></script>
    <script src="js/script.js"></script>
    <script src="js/bootstrap-select.min.js"></script>


    <script type="text/javascript" src="js/tinybox.js"></script>
    <script type="text/javascript" src="js/tinymce/tinymce.min.js"></script>
    <script type="text/javascript" src="js/tinybox.js"></script>
    <script type="text/javascript">
        tinymce.init({
            selector: ".tinymce",
            relative_urls: false,
            convert_urls: false,
            plugins: [
                "advlist autolink lists link image charmap print preview anchor",
                "searchreplace visualblocks code fullscreen",
                "insertdatetime media table contextmenu paste"
            ],
            toolbar: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image"
        });
    </script>
    <script type="text/javascript">$(document).ready(function(){$(".hideit").click(function(){$(this).hide(700);});});</script>
    <script type="text/javascript" src="js/jx.js"></script>

    <link rel="stylesheet" type="text/css" href="css/tinybox.css">
</head>
<body>

<div id="wrapper">
<header id="header" class="header">
    <div class="structure">
        <div class="row">
            <div class="col-xs-12 col-md-2 logo">
                 <?php
                     if(isset($logedIn)){
                ?>
                <p class="logoText"><a href="<?php echo ADMIN_URL; ?>"><img src="images/logo.png" width="48%" alt="logo"></a></p>
                <?php } ?>
            </div>
            <?php
                if(isset($logedIn)){
                ?>
                <div class="col-xs-12 col-md-10">
                    <nav class="navbar navbar-default Topmenu" role="navigation">
                        <!-- Brand and toggle get grouped for better mobile display -->
                        <div class="navbar-header">
                            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-slide-dropdown">
                                <span class="sr-only">Toggle navigation</span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>
                        </div>
                        <!-- Collect the nav links, forms, and other content for toggling -->
                        <div class="collapse navbar-collapse" id="bs-slide-dropdown">
                            <ul class="nav navbar-nav navbar-right">
                                <li class="dropdown">
                                    <a href="javascript:void()" class="dropdown-toggle" data-toggle="dropdown">Tender Management<span class="caret"></span></a>                
                                    <ul class="dropdown-menu" role="menu">
                                        <li><a href="<?=ADMIN_URL?>/?page=preparation">Tender Preparation</a></li>
                                        <li><a href="<?=ADMIN_URL?>/?page=tender_list">Tender List</a></li>
                                        <li><a href="<?=ADMIN_URL?>/?page=cancel_tender">Cancelled Tenders</a></li>
                                    </ul>                
                                </li>


                                <li class="dropdown">
                                    <a href="javascript:void()" class="dropdown-toggle" data-toggle="dropdown">Admins<span class="caret"></span></a>				
                                    <ul class="dropdown-menu" role="menu">
                                        <li><a href="<?=ADMIN_URL?>/?page=admins">Admins</a></li>
                                        <li><a href="<?=ADMIN_URL?>/?page=admin_group">Admin Group</a></li>
                                    </ul>                
                                </li>
                                <li class="dropdown">
                                    <a href="javascript:void()" class="dropdown-toggle" data-toggle="dropdown">Setting<span class="caret"></span></a>                
                                    <ul class="dropdown-menu" role="menu">
                                        <li><a href="<?=ADMIN_URL?>/?page=specification">Specification</a></li>
                                        <li><a href="<?=ADMIN_URL?>/?page=template">Template</a></li>
                                        <li><a href="<?=ADMIN_URL?>/?page=contact">Contact Info</a></li>
                                        <li><a href="<?=ADMIN_URL?>/?page=company">Company Info</a></li>
                                        <li><a href="<?=ADMIN_URL?>/?page=company_nature">Company Nature</a></li>
                                        <li><a href="<?=ADMIN_URL?>/?page=trusted_ip">Trusted IP</a></li>
                                        <!--<li><a href="<?=ADMIN_URL?>/?page=admin_group">Admin Group</a></li>-->
                                    </ul>                
                                </li>

                                <li class="dropdown">
                                    <a href="javascript:void()" class="dropdown-toggle" data-toggle="dropdown">Website<span class="caret"></span></a>                
                                    <ul class="dropdown-menu" role="menu">
                                        <li><a href="<?=ADMIN_URL?>/?page=notice">Notice</a></li>
                                    </ul>                
                                </li>


                                <li><a href="<?=ADMIN_URL?>/?page=moduls">Moduls</a></li>
                                <li><a href="<?=ADMIN_URL?>/?page=bidders">Bidders</a></li>
                                <?php 
                                    $quec = $db->selectAll($general->table(44),'where qFrom=1 and qView = 0');
                                    $count=0;
                                    foreach ($quec as $qc){
                                        $count=$count+1;
                                    }
                                ?>
                                <li><a href="<?=ADMIN_URL?>/?page=queries">Queries <?php if($count>0){?><span class="badge badge-success"> <?=$count?></span><?php } ?></a></li>
                                <li><a href="#">Tender Evalution</a></li>
                                <li><a href="logout.php">Logout</a></li>
                            </ul>							
                        </div><!-- /.navbar-collapse -->
                    </nav>
                </div>
                <?php
                }
            ?>
        </div>
    </div>
</header>