<?php
    $v = $db->check_role($mId);
    if(!$db->check_role($mId)){
        $general->SetMessage('You are not authorize to access '.$thisPageTitle,'e');
        $general->redirect(ADMIN_URL);
    }
    $tPTbl = 21;
    $eStatus = $db->check_role($mId,'e');

    if(isset($_GET['add'])){$data=array($pUrl=>$thisPageTitle,1=>'Add');}
    elseif(isset($_GET['edit'])){$data=array($pUrl=>$thisPageTitle,1=>'Edit');}
    else{$data=array($pUrl=>$thisPageTitle);}
    $general->breadcrumb($data);
?>
<div class="structure">
    <div class="row padding_top_bottom main_con">
        <div class="row">
            <div class="col-xs-12 col-md-10">
                <!-- <h3><a href="<?php echo $pUrl?>"><?php echo $thisPageTitle?></a></h3> -->
            </div>
            <?php
                if(!isset($_GET['view'])){
                ?>
                <div class="col-xs-6 col-md-2">
                    <nav>
                        <ul class="pager">
                            <li><a href="<?php echo $pUrl?>&add">New Preparation</a></li>
                        </ul>
                    </nav>
                </div>
                <?php
                }
            ?>
        </div>
        <?php 
            if(isset($_GET['add'])){
                if(!$db->check_role($mId,'a')){
                    $general->SetMessage('You are not authorize to edit '.$thisPageTitle,'e');
                    $general->redirect($pUrl);
                }
                if(isset($_POST['sub'])){
                    $pro_type       =$_POST['pro_type'];
                    $pro_nature     =$_POST['pro_nature'];
                    $pro_purpose    =$_POST['pro_purpose'];
                    $pro_amount     =$_POST['pro_amount'];
                    $pro_frequency  =$_POST['pro_frequency'];
                    $pro_urgency    =$_POST['pro_urgency'];
                    $pro_source     =$_POST['pro_source'];
                    $pro_approch    =$_POST['pro_approch'];
                    $pro_method     =$_POST['pro_method'];
                    $instruction    =$_POST['instruction'];
                    $column_type    =$_POST['column_type'];
                    $security_type  =$_POST['security_type'];

                    if(empty($pro_type)){$general->SetMessage('Procurement Type field is required','e');$error=__LINE__;}
                    if(empty($pro_nature)){$general->SetMessage('Procurement Nature field is required','e');$error=__LINE__;}
                    if(empty($pro_purpose)){$general->SetMessage('Purpose of Procurement field is required','e');$error=__LINE__;}
                    if(empty($pro_amount)){$general->SetMessage('Amount of Procurement field is required','e');$error=__LINE__;}
                    if(empty($pro_frequency)){$general->SetMessage('Procurement Frequency field is required','e');$error=__LINE__;}
                    if(empty($pro_urgency)){$general->SetMessage('Procurement Urgency  field is required','e');$error=__LINE__;}
                    if(empty($pro_source)){$general->SetMessage('Procurement Urgency  field is required','e');$error=__LINE__;}
                    if(empty($pro_approch)){$general->SetMessage('Procurement Approch  field is required','e');$error=__LINE__;}
                    if(empty($pro_method)){$general->SetMessage('Procurement Method  field is required','e');$error=__LINE__;}
                    if(!isset($error)){
                        $data=array(
                            'ptId'      =>$pro_type,
                            'tpTenderId'=>'bsccl-'.substr(TIME,5),
                            'pnId'      =>$pro_nature,
                            'ppId'      =>$pro_purpose,
                            'aspId'     =>$pro_amount,
                            'pfId'      =>$pro_frequency,
                            'puId'      =>$pro_urgency,
                            'psId'      =>$pro_source,
                            'paId'      =>$pro_approch,
                            'pmId'      =>$pro_method,
                            'tpSpInst'  =>$instruction,
                            'tpWorkType'=>$column_type,
                            'tpWorkSecurityType'=>$security_type,
                        );
                        $general->arrayUserInfoAdd($data);

                        $preparation=$db->insert($general->table(21),$data);
                        if($preparation){
                            $general->SetMessage('New Tender Preparation added successfully','s');
                            $general->redirect($pUrl);
                        }else{
                            $general->SetMessage('some problems there please try again','e');
                        }
                    }
                }
                $db->show_message();
            ?>
            <h5>Add new <?=$thisPageTitle?></h5>
            <fieldset class="fieldset_boder_1 fieldset_boder">
                <p style="color: red; font-size: 16px; margin-left: 10px;">** All fields are required.</p>
                <form class="form-horizontal" role="form" method="POST">
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Procurement Type :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <?php
                                    $db->dropdownInputOrder(12,'pro_type','ptId','ptTitle',@$_POST['pro_type'],'form-control','y','onchange="purpose_change_by_type(this.value)"','','ptOrder');
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Procurement Nature :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <?php
                                    $db->dropdownInputOrder(13,'pro_nature','pnId','pnTitle',@$_POST['pro_nature'],'form-control','y','','','pnOrder');
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Purpose of Procurement :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <script type="text/javascript">
                                    function purpose_change_by_type(ptId){
                                        $('#pro_purpose').html('<option value="">Loading....</option>');
                                        jx.load('ajax/operation.php?pro_pur_by_type='+ptId,function(data){
                                            $('#pro_purpose').html(data);
                                        });
                                    }
                                </script>
                                <?php
                                    $db->dropdownInputOrder(14,'pro_purpose','ppId','ppTitle',@$_POST['pro_purpose'],'form-control','y','','','ppOrder');
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Amount of Procurement :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <select class="form-control" name="pro_amount" required="required">
                                    <option value=" ">Select One</option>
                                    <?php
                                        $pro_amount= $db->selectAll($general->table(15),'WHERE isActive=1 order by paOrder asc');
                                        foreach($pro_amount as $pa){
                                        ?><option value="<?php echo $pa['aspId'];?>" ><?php echo $pa['aspShort'].' : ABOVE '.$pa['asAbove'].' UPTO '.$pa['aspUpto'] ?> </option><?php
                                        }
                                    ?>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Procurement Frequency :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <select class="form-control" name="pro_frequency" required="required">
                                    <option>Select One</option>
                                    <?php
                                        $pro_frequency= $db->selectAll($general->table(16),'WHERE isActive=1 order by pfOrder asc');
                                        foreach($pro_frequency as $pf){
                                        ?><option value="<?php echo $pf['pfId']; ?>"><?php echo $pf['pfShort'].' : '.$pf['pfTitle'] ?> </option><?php
                                        }
                                    ?>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Procurement Urgency :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <select class="form-control" name="pro_urgency" required="required">
                                    <option value="">Select One</option>
                                    <?php
                                        $pro_urgency= $db->selectAll($general->table(17),'WHERE isActive=1 order by puOrder asc');
                                        foreach($pro_urgency as $pu){
                                        ?><option value="<?php echo $pu['puId'];?>"><?php echo $pu['puShort'].' : '.$pu['puTitle'] ?> </option><?php
                                        }
                                    ?>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Procurement Source :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <select class="form-control" name="pro_source" required="required">
                                    <option value="">Select One</option>
                                    <?php
                                        $pro_source= $db->selectAll($general->table(18),'WHERE isActive=1 order by psOrder asc ');
                                        foreach($pro_source as $ps){
                                        ?><option value="<?php echo $ps['psId'];?>"><?php echo $ps['psTitle'] ?> </option><?php
                                        }
                                    ?>
                                </select>
                                <?php
                                    //  $db->dropdownInput(18,'pro_source','psId','psTitle',@$_POST['pro_source'],'form-control','y');
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Approch :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <?php
                                    $db->dropdownInputOrder(19,'pro_approch','paId','paTitle',@$_POST['pro_approch'],'form-control','y','','','paOrder');
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Procurement Method :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <?php
                                    $db->dropdownInputOrder(20,'pro_method','pmId','pmTitle',@$_POST['pro_method'],'form-control','y','','','pmOrder');
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Special Instruction :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <textarea class="form-control" rows="3" name="instruction"></textarea>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Set work type column :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <select class="form-control" name="column_type" required="required">
                                    <option value="<?php echo SINGLE  ?>">Single</option>
                                    <option value="<?php echo MULTIPLE ?>">Multiple</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Security Type :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <select class="form-control" name="security_type" required="required">
                                    <option value="<?php echo SINGLE?>">Fixed</option>
                                    <option value="<?php echo BONDS ?>">Bonds</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                    <label class="control-label col-sm-3" for="email"></label>
                    <div class="col-sm-6">
                        <div class="preparation">
                            <input type="submit" class="btn btn-default save_button" value="save" name="sub">
                        </div>
                    </div>
                </form>
            </fieldset>
            <?php
            }
            elseif(isset($_GET['add_more'])){
                $tp_id=$_GET['add_more'];
                if(isset($_POST['add'])){
                    $secifications= $_POST['specific'];
                    $secific_head=$_POST['sp_head'];
                    foreach($secifications as $sf){
                        $already=$db->getRowData($general->table(23),'WHERE tsId='.$sf.' AND tpId='.$tp_id);
                        if(empty($already)){
                            foreach($secific_head as $ts_id => $sh_id){
                                if($sf==$ts_id){
                                    $data=array(
                                        'tpId'=>$tp_id,
                                        'tsId'=>$sf,
                                        'shId'=>$sh_id
                                    );
                                    $sf_details=$db->insert($general->table(23),$data);  
                                } 
                            }
                        }else{
                            foreach($secific_head as $ts_id => $sh_id){
                                if($already['tsId']==$ts_id && $already['shId']!=$sh_id){
                                    $data=array(
                                        'shId'=>$sh_id
                                    );
                                    $where=array(
                                        'ttrId'=>$already['ttrId']
                                    );
                                    $update=$db->update($general->table(23),$data,$where); 
                                }
                            }
                        }
                    }
                    $all_sf=$db->selectAll($general->table(23),'WHERE tpId='.$tp_id);

                    foreach($all_sf as $as){
                        if(!in_array($as['tsId'],$secifications)){
                            $where=array(
                                'tsId' =>$as['tsId'],
                                'tpId' =>$tp_id,
                            );
                            $delete=$db->delete($general->table(23),$where);
                        }
                    }
                    $general->SetMessage('Tender Specification update successfully','s');
                    $general->redirect($pUrl.'&plotting='.$tp_id);
                }
                $db->show_message();
            ?>
            <h5>Manage Specification</h5>
            <fieldset class="fieldset_boder_1 fieldset_boder">
                <form class="form-horizontal" role="form" method="POST">
                    <div class="form-group">
                        <!-- <label class="control-label col-sm-2" for="title"></label> -->
                        <div class="col-sm-12">
                            <div class="table_width_spe col-sm-8">
                                <table width="100%">
                                    <tr>
                                        <th>Specification Select</th>
                                        <th>Specification Head</th>
                                    </tr>

                                    <?php
                                        $Specification=$db->selectAll($general->table(10));
                                        foreach($Specification as $sp){
                                            $select=$db->getRowData($general->table(23),'WHERE tsId='.$sp['tsId'].' AND tpId='.$tp_id);
                                        ?>
                                        <tr>
                                            <td> <label><input value="<?php echo $sp['tsId'] ?>" name="specific[]" type="checkbox" <?php if(!empty($select)){echo 'checked';}?> > <?php echo $sp['tsTitle'] ?></label>
                                            </td>
                                            <td>
                                                <select class="spe_select form-control" name="sp_head[<?php echo $sp['tsId']?>]">
                                                    <?php
                                                        $head=$db->selectAll($general->table(24));
                                                        foreach($head as $h){
                                                        ?>
                                                        <option <?php if($select['shId']==$h['shId']){?> selected="selected"<?php }?> value="<?php echo $h['shId']?>"><?php echo $h['shName']?></option>  
                                                        <?php
                                                        }
                                                    ?>                                        
                                                </select>
                                            </td>
                                        </tr>
                                        <?php
                                        }
                                    ?>  


                                </table>
                            </div>
                            <div class="table_width_spe col-sm-4">
                                <b>Specification List </b> <br>
                                <div class="speci_list">
                                    <ul>
                                        <?php
                                            $Specification=$db->selectAll($general->table(23),'WHERE tpId='.$tp_id);
                                            foreach($Specification as $sp){
                                                $sn=$db->get_rowData($general->table(10),'tsId',$sp['tsId']);
                                            ?><li><?php echo $sn['tsTitle'] ?></li>
                                            <?php
                                            }
                                        ?>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-2" for="title"></label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <button type = "submit" class="btn btn-default save_button" name="add" value="Update">Update</button>
                            </div>
                        </div>
                    </div>
                </form>
            </fieldset>
            <?php
            }
            elseif(isset($_GET['plotting'])){
                if(!$db->check_role($mId,'a')){
                    $general->SetMessage('You are not authorize to edit '.$thisPageTitle,'e');
                    $general->redirect($pUrl);
                } 
                $tpId=intval($_GET['plotting']);
                $p = $db->get_rowData($general->table($tPTbl),'tpId',$tpId);
                if(empty($p)){
                    $general->SetMessage(212);
                    $general->redirect($pUrl);
                }
                if($p['tpPlotting']==0){
                    if(isset($_POST['next'])){
                        $t_id=$_POST['template'];
                        $template_specific=$db->selectAll($general->table(9),"WHERE stId=$t_id");
                        foreach($template_specific as $ts){
                            $data=array(
                                'tsId'=>$ts['tsId'],
                                'shId'=>$ts['shId'],
                                'tpId'=>$tpId
                            );
                            $tt_rel=$db->insert($general->table(23),$data);
                        }
                        $data=array(
                            'tpPlotting'=>1
                        );
                        $where=array(
                            'tpId'=>$tpId
                        );
                        $update=$db->update($general->table(21),$data,$where); 
                        if($update){
                            $general->SetMessage('Tender Specification update successfully','s');
                            $general->redirect($pUrl.'&plotting='.$tpId);
                        }
                    }
                ?>
                <h5>Select Your Desired Tender Template *</h5>
                <fieldset class="fieldset_boder_1 fieldset_boder">
                    <form class="form-horizontal" role="form" method="POST">
                        <div class="form-group">
                            <label class="control-label col-sm-2" for="title"></label>
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label class="control-label col-sm-3" for="email">Template :</label>
                                    <div class="col-sm-6">
                                        <div class="preparation">
                                            <?php
                                                $db->dropdownInput(8,'template','stId','tName',@$_POST['template'],'form-control','y');
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-sm-2" for="title"></label>
                            <div class="col-sm-4">
                                <div class="preparation">
                                    <button type = "submit" class="btn btn-default save_button" name="next" value="Update">Next</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </fieldset>
                <?php
                }
                else{
                    if(isset($_POST['sub'])){
                        $entity_name    =$_POST['entity'];
                        $ref_no         =$_POST['ref_no'];
                        $date_header    =$_POST['date_header'];
                        $selling_date   =$_POST['selling_date'];
                        $closing_date   =$_POST['closing_date'];
                        $opening_date   =$_POST['opening_date'];
                        $start_date     =$_POST['start_date'];

                        $data=array(
                            'tpEntityName'  =>$entity_name,
                            'tpRefNo'       =>$ref_no,
                            'tpDateHead'    =>$date_header,
                            'tpLastSale'    =>strtotime($selling_date),
                            'tpDropClose'   =>strtotime($closing_date),
                            'tpOpen'        =>strtotime($opening_date),
                            'tpIssuing'     =>strtotime($start_date)
                        );
                        $where=array(
                            'tpId'=>$tpId
                        );
                        $fi_update=$db->update($general->table($tPTbl),$data,$where);

                        if(isset($_POST['sp'])){
                            $sp_data=$_POST['sp'];
                            foreach($sp_data as $id=>$value){
                                $data=array(
                                    'ttrVal'=>$value
                                );
                                $where=array(
                                    'tsId'=>$id
                                );
                                $update=$db->update($general->table(23),$data,$where);
                            } 
                            if($update){
                                $general->SetMessage('Tender Specification update successfully','s');
                            }
                        }

                        if($fi_update){

                            $workName   = $_POST['work_name'];
                            $location   = $_POST['location'];
                            $docPrice   = $_POST['price'];
                            $work_time  = $_POST['work_time'];
                            if($p['tpWorkSecurityType']==FIXED){
                                $security = $_POST['security'];
                            }
                            else{
                                $bid_bond= $_POST['bid_bond'];
                                $per_guarantee= $_POST['per_guarantee'];
                            }

                            $where=array('tpId'=>$p['tpId']);
                            $db->delete($general->table(25),$where);

                            if($p['tpWorkSecurityType']==SINGLE){
                                $data=array(
                                    'tpId'      =>$p['tpId'],
                                    'wtName'    =>$workName[1],
                                    'wtLocation'=>$location[1],
                                    'wtDocPrice'=>$docPrice[1],
                                    'wtTime'    =>$work_time[1]
                                );
                                if($p['tpWorkSecurityType']==FIXED){
                                    $data['wtTenderSecurity']=$security[1];
                                }
                                else{
                                    $data['wtBidBond']=$bid_bond[1];
                                    $data['wtGurantee']=$per_guarantee[1];
                                }
                                $insert=$db->insert($general->table(25),$data);
                                if($insert==false){$error=__LINE__;}
                            }
                            else{
                                foreach($workName as $k=>$w){
                                    if($w!=''){
                                        $data=array(
                                            'tpId'      =>$p['tpId'],
                                            'wtName'    =>$workName[$k],
                                            'wtLocation'=>$location[$k],
                                            'wtDocPrice'=>$docPrice[$k],
                                            'wtTime'    =>$work_time[$k]
                                        );
                                        if($p['tpWorkSecurityType']==FIXED){
                                            $data['wtTenderSecurity']=$security[$k];
                                        }
                                        else{
                                            $data['wtBidBond']=$bid_bond[$k];
                                            $data['wtGurantee']=$per_guarantee[$k];
                                        }
                                        $insert=$db->insert($general->table(25),$data);
                                        if($insert==false){$error=__LINE__;}
                                    }
                                }
                            }
                            if(!isset($error)){
                                $general->SetMessage('Tender Preparation edit successfully','s');
                                $general->redirect($pUrl);
                            }else{
                                $general->SetMessage('some problems there please try again','e');
                            }
                        }


                    }
                    $db->show_message();
                ?>
                <h5>Tender Specification field</h5>
                <fieldset class="fieldset_boder_1 fieldset_boder">
                <nav>
                    <ul class="pager" style="float: right; padding-right: 30px ! important;">
                        <li><a href="<?php echo $pUrl?>&add_more=<?php echo $p['tpId'] ?>">Manage Specification </a></li>
                    </ul>
                </nav>
                    
                    <form class="form-horizontal" role="form" method="POST">
                        <div class="form-group">
                            <label class="control-label col-sm-3" for="title">Procuring Entity Name :</label>
                            <div class="col-sm-6">
                                <input type="text" value="<?php echo $p['tpEntityName'] ?>" required name="entity" class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-sm-3" for="title">Invitation Ref No :</label>
                            <div class="col-sm-6">
                                <input type="text" value="<?php echo $p['tpRefNo'] ?>" required name="ref_no" class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-sm-3" for="title">Starting date of Issuing Tender :</label>
                            <div class="col-sm-6">
                                <input type="text" required name="start_date" value="<?php  echo gmdate("d-m-Y", $p['tpIssuing']);?>" class="form-control dpt">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-sm-3" for="title">Date Header :</label>
                            <div class="col-sm-6">
                                <?php
                                    $db->dropdownInput(24,'date_header','shId','shName',$p['tpDateHead'],'form-control','y');
                                ?>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-sm-3" for="title">Tender Last Selling Date :</label>
                            <div class="col-sm-6">
                                <input type="text" required name="selling_date" value="<?php  echo $general->make_date($p['tpLastSale'],'time');?>" class="form-control dpt">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-sm-3" for="title">Tender Closing Date & Time :</label>
                            <div class="col-sm-6">
                                <input type="text" required name="closing_date" class="form-control dpt" value="<?php  echo $general->make_date($p['tpDropClose'],'time');?>">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-sm-3" for="title">Tender Opening Date & Time :</label>
                            <div class="col-sm-6">
                                <input type="text" required name="opening_date" class="form-control dpt" value="<?php  echo $general->make_date($p['tpOpen'],'time');?>">
                            </div>
                        </div>
                        <?php
                            $Specification=$db->selectAll($general->table(23),"WHERE tpId=$tpId");
                            foreach($Specification as $sp){
                                $sp_name=$db->get_rowData($general->table(10),'tsId',$sp['tsId']);
                            ?>
                            <div class="form-group">
                                <label class="control-label col-sm-3" for="email"><?php echo $sp_name['tsTitle']; ?> :</label>
                                <div class="col-sm-6">
                                    <div class="preparation">
                                        <input type="text" value="<?php echo $sp['ttrVal'] ?>" name="sp[<?php echo $sp_name['tsId'] ?>]"  class="form-control">
                                    </div>
                                </div>
                            </div>
                            <?php
                            }
                        ?>
                        <label class="control-label " for="title">Description of Work</label>
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <td>SL.</td>
                                    <td>Name of work</td>
                                    <td width="15%">Location of Delivery</td>
                                    <td width="15%">Price of Documents</td>
                                    <?php
                                        if($p['tpWorkSecurityType']==FIXED){
                                        ?>
                                        <td width="15%"><p>Tender Securty (Taka)</td>
                                        <?php
                                        }else{
                                        ?>
                                        <td>Bid Bond(Taka)</td>
                                        <td>Performance Guarantee(Taka)</td>
                                        <?php
                                        }
                                    ?>
                                    <td width="15%">Work Completion Time</td>
                                    <td width="5%">X</td>
                                </tr>
                            </thead>
                            <tbody id="work_info">
                                <?php
                                    $wSerial=1;
                                    $wts=$db->selectAll($general->table(25),'where tpId='.$tpId);
                                    if(empty($wts)){
                                        $general->workTypeRowCreate($wSerial++);
                                    }
                                    else{
                                        foreach($wts as $wt){
                                            $general->workTypeRowCreate($wSerial++,$wt['wtName'],$wt['wtLocation'],$wt['wtDocPrice'],$p['tpWorkSecurityType'],$wt['wtTenderSecurity'],$wt['wtBidBond'],$wt['wtGurantee'],$wt['wtTime']);
                                            if($p['tpWorkType']==SINGLE){
                                                if($wSerial==2){break;}
                                            }
                                        }
                                    }
                                ?>
                                <tr id="work_row_loading" style="display: none;">
                                    <td colspan="5">Loading</td>
                                </tr>
                            </tbody>
                        </table>
                        <?php
                            if($p['tpWorkType']!=SINGLE){
                            ?>
                            <input type="button" onclick="newWorkInfo()" value="Add Row">
                            <script type="text/javascript">
                                <?php echo 'var wSerial='.$wSerial.';';?>
                                function newWorkInfo(){
                                    var rqString = ADMIN_URL+'/ajax/operation.php?work_table_row='+wSerial;
                                    jx.load(rqString,function(data){
                                        if(data!=''){
                                            $('#work_info').append(data);
                                            setTrSerial();
                                            wSerial++;
                                        }
                                    });

                                }
                            </script>
                            <?php
                            }
                        ?>
                        <div class="form-group">
                            <label class="control-label col-sm-3" for="email"></label>
                            <div class="col-sm-6">
                                <div class="preparation">
                                    <input type="submit" class="btn btn-default save_button" value="update" name="sub">
                                </div>
                            </div>
                        </div>
                    </form>
                </fieldset>
                <?php
                }
            }
            elseif(isset($_GET['edit'])){
                if(!$db->check_role($mId,'a')){
                    $general->SetMessage('You are not authorize to edit '.$thisPageTitle,'e');
                    $general->redirect($pUrl);
                } 
                $edit = intval($_GET['edit']);
                $m = $db->get_rowData($general->table($tPTbl),'tpId',$edit);
                if(empty($m)){
                    $general->SetMessage(212);
                    $general->redirect($pUrl);
                }
                if(isset($_POST['sub'])){
                    $pro_type       =$_POST['pro_type'];
                    $pro_nature     =$_POST['pro_nature'];
                    $pro_purpose    =$_POST['pro_purpose'];
                    $pro_amount     =$_POST['pro_amount'];
                    $pro_frequency  =$_POST['pro_frequency'];
                    $pro_urgency    =$_POST['pro_urgency'];
                    $pro_source     =$_POST['pro_source'];
                    $pro_approch    =$_POST['pro_approch'];
                    $pro_method     =$_POST['pro_method'];
                    $instruction    =$_POST['instruction'];

                    if(empty($pro_type)){$general->SetMessage('Procurement Type field is required','e');$error=__LINE__;}
                    if(empty($pro_nature)){$general->SetMessage('Procurement Nature field is required','e');$error=__LINE__;}
                    if(empty($pro_purpose)){$general->SetMessage('Purpose of Procurement field is required','e');$error=__LINE__;}
                    if(empty($pro_amount)){$general->SetMessage('Amount of Procurement field is required','e');$error=__LINE__;}
                    if(empty($pro_frequency)){$general->SetMessage('Procurement Frequency field is required','e');$error=__LINE__;}
                    if(empty($pro_urgency)){$general->SetMessage('Procurement Urgency  field is required','e');$error=__LINE__;}
                    if(empty($pro_source)){$general->SetMessage('Procurement Urgency  field is required','e');$error=__LINE__;}
                    if(empty($pro_approch)){$general->SetMessage('Procurement Approch  field is required','e');$error=__LINE__;}
                    if(empty($pro_method)){$general->SetMessage('Procurement Method  field is required','e');$error=__LINE__;}
                    if(!isset($error)){
                        $data=array(
                            'ptId'      =>$pro_type,
                            'pnId'      =>$pro_nature,
                            'ppId'      =>$pro_purpose,
                            'aspId'     =>$pro_amount,
                            'pfId'      =>$pro_frequency,
                            'puId'      =>$pro_urgency,
                            'psId'      =>$pro_source,
                            'paId'      =>$pro_approch,
                            'pmId'      =>$pro_method,
                            'tpSpInst'  =>$instruction,
                            'modifiedBy'=>UID,
                            'modifiedOn'=>TIME
                        );
                        $where=array(
                            'tpId'=>$edit
                        );

                        $preparation=$db->update($general->table(21),$data,$where);
                        if($preparation){
                            $general->SetMessage('Tender Preparation edit successfully','s');
                            $general->redirect($pUrl);
                        }else{
                            $general->SetMessage('some problems there please try again','e');
                        }
                    }
                    $db->show_message();
                }
            ?>
            <h5>Edit <?=$thisPageTitle?></h5>
            <fieldset class="fieldset_boder_1 fieldset_boder">
                <p style="color: red; font-size: 16px; margin-left: 10px;">** All fields are required.</p>
                <form class="form-horizontal" role="form" method="POST">
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Procurement Type :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <?php
                                    $db->dropdownInput(12,'pro_type','ptId','ptTitle',$m['ptId'],'form-control','y','onchange="purpose_change_by_type(this.value)"');
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Procurement Nature :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <?php
                                    $db->dropdownInput(13,'pro_nature','pnId','pnTitle',$m['pnId'],'form-control','y');
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Purpose of Procurement :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <script type="text/javascript">
                                    function purpose_change_by_type(ptId){
                                        $('#pro_purpose').html('<option value="">Loading....</option>');
                                        jx.load('ajax/operation.php?pro_pur_by_type='+ptId,function(data){
                                            $('#pro_purpose').html(data);
                                        });
                                    }
                                </script>
                                <?php
                                    $db->dropdownInput(14,'pro_purpose','ppId','ppTitle',$m['ppId'],'form-control','y');
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Amount of Procurement :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <select class="form-control" name="pro_amount" required="required">
                                    <option value=" ">Select One</option>
                                    <?php
                                        $pro_amount= $db->selectAll($general->table(15),'WHERE isActive=1');
                                        foreach($pro_amount as $pa){
                                        ?><option <?php if($pa['aspId']==$m['aspId']){?> selected="selected"  <?php } ?> value="<?php echo $pa['aspId'];?>" ><?php echo $pa['aspShort'].' : ABOVE '.$pa['asAbove'].' UPTO '.$pa['aspUpto'] ?> </option><?php
                                        }
                                    ?>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Procurement Frequency :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <select class="form-control" name="pro_frequency" required="required">
                                    <option>Select One</option>
                                    <?php
                                        $pro_frequency= $db->selectAll($general->table(16),'WHERE isActive=1');
                                        foreach($pro_frequency as $pf){
                                        ?><option <?php if($pf['pfId']==$m['pfId']){?> selected="selected"  <?php } ?> value="<?php echo $pf['pfId']; ?>"><?php echo $pf['pfShort'].' : '.$pf['pfTitle'] ?> </option><?php
                                        }
                                    ?>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Procurement Urgency :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <select class="form-control" name="pro_urgency" required="required">
                                    <option value="">Select One</option>
                                    <?php
                                        $pro_urgency= $db->selectAll($general->table(17),'WHERE isActive=1');
                                        foreach($pro_urgency as $pu){
                                        ?><option <?php if($pu['puId']==$m['puId']){?> selected="selected"  <?php } ?> value="<?php echo $pu['puId'];?>"><?php echo $pu['puShort'].' : '.$pu['puTitle'] ?> </option><?php
                                        }
                                    ?>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Procurement Source :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <?php
                                    $db->dropdownInput(18,'pro_source','psId','psTitle',$m['psId'],'form-control','y');
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Approch :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <?php
                                    $db->dropdownInput(19,'pro_approch','paId','paTitle',$m['paId'],'form-control','y');
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Procurement Method :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <?php
                                    $db->dropdownInput(20,'pro_method','pmId','pmTitle',$m['pmId'],'form-control','y');
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Special Instruction :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <textarea class="form-control" rows="3" name="instruction"><?php echo $m['tpSpInst'] ?></textarea>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                    <label class="control-label col-sm-3" for="email"></label>
                    <div class="col-sm-6">
                        <div class="preparation">
                            <input type="submit" class="btn btn-default save_button" value="save" name="sub">
                        </div>
                    </div>
                </form>
            </fieldset>
            <?php
            }
            elseif(isset($_GET['view'])){
                if(!$db->check_role($mId,'a')){
                    $general->SetMessage('You are not authorize to edit '.$thisPageTitle,'e');
                    $general->redirect($pUrl);
                } 
                $tp_id=$_GET['view'];
                $tp=$db->get_rowData($general->table(21),'tpId',$tp_id);
                if($tp['tpWorkType']==SINGLE){
                ?>
                <table class="table table-bordered">
                    <?php
                        $heads=$db->selectAll($general->table(24),'WHERE `IsActive`=1 order by shOrder');
                        $i=1;
                        foreach($heads as $h){
                            if($h['shId']!=HEAD_GENERAL && $h['shId']!= HEAD_SPECIAL){
                            ?>
                            <tr>
                                <td colspan="5"><h4><?php echo $h['shName'] ?></h4></td>
                            </tr>
                            <?php
                            }
                            if($h['shId']==TENDER_INFO){
                                $t_info=$db->get_rowData($general->table(25),'tpId',$tp_id);
                            ?>
                            <tr>
                                <td><?php echo $i++; ?></td>
                                <td>Name of work</td>
                                <td colspan="3"><?php echo $t_info['wtName'] ?></td>
                            </tr>
                            <tr>
                                <td><?php echo $i++; ?></td>
                                <td>Location of Delivery</td>
                                <td colspan="3"><?php echo $t_info['wtLocation'] ?></td>
                            </tr>
                            <tr>
                                <td><?php echo $i++; ?></td>
                                <td>Price of Bid Document</td>
                                <td colspan="3"><?php echo $t_info['wtDocPrice'] ?></td>
                            </tr>
                            <tr>
                                <td><?php echo $i++; ?></td>
                                <td> Bid Bond (TK)</td>
                                <td colspan="3"><?php echo $t_info['wtBidBond'] ?></td>
                            </tr>
                            <tr>
                                <td><?php echo $i++; ?></td>
                                <td> Performance Guarantee(TK)</td>
                                <td colspan="3"><?php echo $t_info['wtGurantee'] ?></td>
                            </tr>
                            <tr>
                                <td><?php echo $i++; ?></td>
                                <td> Work Completion Time</td>
                                <td colspan="3"><?php echo $t_info['wtTime'] ?></td>
                            </tr>
                            <?php

                            }
                            else{
                                if($h['shId']==HEAD_GENERAL){
                                ?>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td>Agency</td>
                                    <td colspan="3">Bangladesh Submarine Cable Company Limited (BSCCL)</td>
                                </tr>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td>Procuring Entity Name</td>
                                    <td colspan="3"><?php echo $tp['tpEntityName'] ?></td>
                                </tr>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td>Invitation Ref No.</td>
                                    <td colspan="3"><?php echo $tp['tpRefNo'] ?></td>
                                </tr>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td>Starting date of Issuing tender.</td>
                                    <td colspan="3"><?php  echo gmdate("d/m/Y", $tp['tpIssuing']);?></td>
                                </tr>
                                <?php                                
                                }
                                elseif($h['shId'] == PARTICULAR_INFO){
                                ?>
                                <tr>
                                    <td><?php echo $i++?></td>
                                    <td>Issuing, Closing &amp; Opening Date and Time</td>
                                    <td width="25%"><p>Last date &amp; time of issuing:  </p>
                                        <p><?php  echo gmdate("d-m-Y\T: H:i:s", $tp['tpLastSale']);?></p></td>
                                    <td width="22%"><p>Closing date &amp; time:</p>
                                        <p><?php  echo gmdate("d-m-Y\T: H:i:s", $tp['tpDropClose']);?></p></td>
                                    <td width="20%"><p>Opening date &amp; time: </p>
                                        <p><?php  echo gmdate("d-m-Y\T: H:i:s", $tp['tpOpen']);?></p></td>
                                </tr>
                                <?php 
                                }
                                elseif($h['shId']==KEY_INFO){
                                ?>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td>Procurement Method </td>
                                    <td colspan="3"><?php $sh=$db->get_rowData($general->table(20),'pmId',$tp['pmId']);echo $sh['pmTitle']; ?></td>
                                </tr>
                                <?php 
                                }
                                elseif($h['shId']==PROCURING_DETAILS){
                                    $con_info=$db->get_rowData($general->table(7),'ciId',1);
                                    $com_info=$db->get_rowData($general->table(11),'ciId',1);
                                ?>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td>Name of Official Inviting Tender </td>
                                    <td colspan="4"><?php echo $con_info['ciName'] ?></td>
                                </tr>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td>Designation of Official Inviting Tender </td>
                                    <td colspan="4"><?php echo $con_info['ciDesignation'] ?></td>
                                </tr>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td>Addres of Official Inviting Tender </td>
                                    <td colspan="4"><?php echo $com_info['ciAddress1'].' , '.$com_info['ciAddress2'] ?></td>
                                </tr>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td>Contact Details of Official Inviting</td>
                                    <td colspan="4"><?php echo 'Office :'.$com_info['ciPhone'].',Email ID : '.$com_info['ciEmail'] ?></td>
                                </tr>
                                <?php
                                }

                                $sp_data=$db->selectAll($general->table(23),'WHERE `tpId`='.$tp_id.' and `shId`='.$h['shId']);
                                foreach($sp_data as $sp){
                                ?>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td><?php $sh=$db->get_rowData($general->table(22),'tsId',$sp['tsId']);echo $sh['tsTitle']; ?> </td>
                                    <td><?php echo $sp['ttrVal'] ?></td>
                                </tr>
                                <?php
                                }
                            }
                        }
                    ?>
                    <tr>
                        <td colspan="5"><p>Interested suppliers are requested to collect the bud document from BSCCL office whthin the time period as mentioned above.</p>
                            <p>The Procuring entity reserves the right to accept or reject any or all bids without assigning any reason whatsoever.</p>
                            <p align="right">Manager (Procurement &amp; Logistics)</p>
                            <p align="right">Bangladesh Submarine Cable Company Limited</p>
                            <p align="right">Phone: 8879194 (Off)</p>
                            <p align="right">fax: 8879193</p></td>
                    </tr>
                </table>
                <?php
                }
                else{
                ?>
                <table class="table table-bordered">
                    <?php
                        $heads=$db->selectAll($general->table(24),'WHERE `IsActive`=1 order by shOrder');
                        $i=1;
                        foreach($heads as $h){
                            if($h['shId']!=HEAD_GENERAL){
                            ?>
                            <tr>
                                <td colspan="6"><h4><?php echo $h['shName'] ?></h4></td>
                            </tr>
                            <?php
                            }
                            if($h['shId']==TENDER_INFO){
                            ?>
                            <tr>
                                <td><?php echo $i++;?></td>
                                <td>Name of work</td>
                                <td width="15%">Location</td>
                                <td width="15%"><p>Tender Securty (Taka)</td>
                                <td width="15%">Price of Tender Document (Non-REfundable)</td>
                                <td width="15%">Completion Time</td>
                            </tr>
                            <?php
                                $t_info=$db->selectAll($general->table(25),'WHERE tpId='.$tp_id); 
                                foreach($t_info as $ti){
                                ?>
                                <tr>
                                    <td>#</td>
                                    <td><?php echo $ti['wtName'] ?></td>
                                    <td width="15%"><?php echo $ti['wtLocation'] ?> </td>
                                    <td width="15%"><?php echo $ti['wtTenderSecurity'] ?></td>
                                    <td width="15%"><?php echo $ti['wtDocPrice'] ?></td>
                                    <td width="15%"><?php echo $ti['wtTime'] ?></td>
                                </tr>
                                <?php
                                } 

                            }
                            else{
                                if($h['shId']==HEAD_GENERAL){
                                ?>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td>Agency</td>
                                    <td colspan="4">Bangladesh Submarine Cable Company Limited (BSCCL)</td>
                                </tr>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td>Procuring Entity Name</td>
                                    <td colspan="4"><?php echo $tp['tpEntityName'] ?></td>
                                </tr>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td>Invitation Ref No.</td>
                                    <td colspan="4"><?php echo $tp['tpRefNo'] ?></td>
                                </tr>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td>Starting date of Issuing tender.</td>
                                    <td colspan="4"><?php  echo gmdate("d/m/Y", $tp['tpIssuing']);?></td>
                                </tr>
                                <?php                                
                                }
                                elseif($h['shId'] == PARTICULAR_INFO){
                                ?>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td>Tender Last Selling Date </td>
                                    <td colspan="4"><?php  echo gmdate("d-m-Y\T: H:i:s", $tp['tpLastSale']);?></td>
                                </tr>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td>Tender Closing Date & Time</td>
                                    <td colspan="4"><?php  echo gmdate("d-m-Y\T: H:i:s", $tp['tpDropClose']);?></td>
                                </tr>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td>Tender Opening Date & Time</td>
                                    <td colspan="4"><?php  echo gmdate("d-m-Y\T: H:i:s", $tp['tpOpen']);?></td>
                                </tr>
                                <?php
                                }
                                elseif($h['shId']==KEY_INFO){
                                ?>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td>Procurement Method </td>
                                    <td colspan="4"><?php $sh=$db->get_rowData($general->table(20),'pmId',$tp['pmId']);echo $sh['pmTitle']; ?></td>
                                </tr>
                                <?php 
                                }
                                elseif($h['shId']==PROCURING_DETAILS){
                                    $con_info=$db->get_rowData($general->table(7),'ciId',1);
                                    $com_info=$db->get_rowData($general->table(11),'ciId',1);
                                ?>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td>Name of Official Inviting Tender </td>
                                    <td colspan="4"><?php echo $con_info['ciName'] ?></td>
                                </tr>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td>Designation of Official Inviting Tender </td>
                                    <td colspan="4"><?php echo $con_info['ciDesignation'] ?></td>
                                </tr>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td>Addres of Official Inviting Tender </td>
                                    <td colspan="4"><?php echo $com_info['ciAddress1'].' , '.$com_info['ciAddress2'] ?></td>
                                </tr>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td>Contact Details of Official Inviting</td>
                                    <td colspan="4"><?php echo 'Office :'.$com_info['ciPhone'].',Email ID : '.$com_info['ciEmail'] ?></td>
                                </tr>
                                <?php
                                }

                                $sp_data=$db->selectAll($general->table(23),'WHERE `tpId`='.$tp_id.' and `shId`='.$h['shId']);
                                foreach($sp_data as $sp){
                                ?>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td><?php $sh=$db->get_rowData($general->table(22),'tsId',$sp['tsId']);echo $sh['tsTitle']; ?> </td>
                                    <td colspan="4"><?php echo $sp['ttrVal'] ?></td>
                                </tr>
                                <?php
                                }
                            }
                        }
                    ?>
                </table>
                <?php
                }
            }
            elseif(isset($_GET['live'])){
                if(!$db->check_role($mId,'a')){
                    $general->SetMessage('You are not authorize to edit '.$thisPageTitle,'e');
                    $general->redirect($pUrl);
                } 
                $tpId=$_GET['live'];
                $tp = $db->get_rowData($general->table($tPTbl),'tpId',$tpId);
                if(empty($tp)){
                    $general->SetMessage(212);
                    $general->redirect($pUrl);
                }
                $data=array('tpLive'=>LIVE_TENDER);
                $where=array('tpId'=>$tpId);
                $live=$db->update($general->table(21),$data,$where);
                if($live){
                    $general->SetMessage(' Tender '.$tp['tpTenderId'].' Live successfully','s');
                    $general->redirect($pUrl);  
                };
            }
            elseif(isset($_GET['cancel'])){
                if(!$db->check_role($mId,'a')){
                    $general->SetMessage('You are not authorize to edit '.$thisPageTitle,'e');
                    $general->redirect($pUrl);
                } 
                $tpId=$_GET['cancel'];
                $tp = $db->get_rowData($general->table($tPTbl),'tpId',$tpId);
                if(empty($tp)){
                    $general->SetMessage(212);
                    $general->redirect($pUrl);
                }
                $data=array('tpLive'=>CANCAL_TENDER);
                $where=array('tpId'=>$tpId);
                $live=$db->update($general->table(21),$data,$where);
                if($live){
                    $general->SetMessage(' Tender '.$tp['tpTenderId'].' Cancel successfully','s');
                    $general->redirect($pUrl);  
                }; 
            }
            else{
                $query="SELECT
                tp.tpTenderId,pt.ptTitle,pn.pnTitle,pp.ppTitle,asp.aspShort,pf.pfTitle,
                pu.puTitle,ps.psTitle,pa.paTitle,pm.pmTitle,tp.tpSpInst,tp.tpId 
                FROM ".$general->table(21)." tp
                left join ".$general->table(12)." pt on(pt.ptId=tp.ptId)
                left join ".$general->table(13)." pn on(pn.pnId=tp.pnId)
                left join ".$general->table(14)." pp on(pp.ppId=tp.ppId)   
                left join ".$general->table(15)." asp on(asp.aspId=tp.aspId)   
                left join ".$general->table(16)." pf on(pf.pfId=tp.pfId)   
                left join ".$general->table(17)." pu on(pu.puId=tp.puId)   
                left join ".$general->table(18)." ps on(ps.psId=tp.psId)   
                left join ".$general->table(19)." pa on(pa.paId=tp.paId)    
                left join ".$general->table(20)." pm on(pm.pmId=tp.pmId) 
                WHERE tpLive=0";
                $preparation= $db->fetchQuery($query);                    
                if(isset($_GET[PAGE_INATION_CURRENT_PAGE_NAME])){$cp=$_GET[PAGE_INATION_CURRENT_PAGE_NAME];}else{$cp=1;}    
                $pageination= $general->pagination_init($general->table(21),50,$cp);
                $preparation2 = $db->selectAll($general->table(21),$pageination['limit']);
                $general->arrayContentShow($products);
                $total= $pageination['start'];

                $db->show_message();
            ?>

            <table class="table table-striped"> 
                <thead>
                    <tr>
                        <td>SN</td>
                        <td>Tender ID</td>
                        <td>Type</td>
                        <td>Nature</td>
                        <td>Purpose</td>
                        <td>Amount</td>
                        <td>Frequency</td>
                        <td>Urgency</td>
                        <td>Source</td>
                        <td>Status</td>
                        <td>View</td>
                        <td>Plotting</td>
                        <td>Edit</td>
                    </tr>
                </thead>

                <tbody>
                <?php

                    $i=1;
                    foreach($preparation as $p){
                    ?>
                    <tr>
                        <td><?php echo $i++?></td>
                        <td><?php echo $p['tpTenderId'] ?></td>
                        <td><?php echo $p['ptTitle']?></td>
                        <td><?php echo $p['pnTitle']?></td>
                        <td><?php echo $p['ppTitle']?></td>
                        <td><?php echo $p['aspShort']?></td>
                        <td><?php echo $p['pfTitle']?></td>
                        <td><?php echo $p['puTitle']?></td>
                        <td><?php echo $p['psTitle']?></td>
                        <!--<td><?php echo $p['pmTitle']?></td>-->
                        <td>
                            <div class="btn-group" role="group">
                                <button type="button" class="btn btn-default dropdown-toggle btn-primary" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    Status
                                    <span class="caret"></span>
                                </button>
                                <ul class="dropdown-menu small_for_status" >
                                    <li><a href="<?php echo $pUrl?>&live=<?php echo $p['tpId']?>">Live</a></li>
                                    <li><a href="<?php echo $pUrl?>&cancel=<?php echo $p['tpId']?>">Cancel</a></li>
                                </ul>
                            </div>
                        </td>
                        <td><a href="<?php echo $pUrl?>&view=<?php echo $p['tpId']?>" class="btn btn-primary">View</a></td>
                        <td><a href="<?php echo $pUrl?>&plotting=<?php echo $p['tpId']?>" class="btn btn-primary">Plotting</a></td>
                        <td><a href="<?php echo $pUrl?>&edit=<?php echo $p['tpId']?>" class="btn btn-primary">Edit</a></td>
                    </tr>
                    <?php  
                    }
                ?>
                <tbody>
            </table>
            <div class="pagined_footer">
                <ul class="pagination">
                    <?php
                        $link=$pUrl.'&'.PAGE_INATION_CURRENT_PAGE_NAME.'=';
                        //$link       = '?page=preparation&'.PAGE_INATION_CURRENT_PAGE_NAME.'=';
                        $general->pagination($pageination['currentPage'],$pageination['TotalPage'],$link,'btn');
                    ?>
                </ul>
            </div>
            <?php
            }
        ?>

    </div>
</div>