<?php
    if(!$db->check_role($mId)){
        $general->SetMessage('You are not authorize to access '.$thisPageTitle,'e');
        $general->redirect(ADMIN_URL);
    }
    $tPTbl = 8;
    $pt     = 'Template';


    if(isset($_GET['add'])){$data=array($pUrl=>$thisPageTitle,1=>'Add');}
    elseif(isset($_GET['edit'])){$data=array($pUrl=>$thisPageTitle,1=>'Edit');}
    else{$data=array($pUrl=>$thisPageTitle);}

    $general->breadcrumb($data);
?>
<div class="structure">
    <div class="row padding_top_bottom main_con">
        <div class="row">
            <div class="col-xs-12 col-md-10">
                <!-- <h3><a href="<?php echo $pUrl?>"><?php echo $thisPageTitle?></a></h3> -->
            </div>
            <div class="col-xs-6 col-md-2">
                <nav>
                    <ul class="pager">
                        <li><a href="<?php echo $pUrl?>&add">Add New <?php echo $pt?></a></li>
                        <!--<li><a href="#">Next</a></li>-->
                    </ul>
                </nav>
            </div>
        </div>

        <?php
            if(isset($_GET['add'])){
                if(!$db->check_role($mId,'a')){
                    $general->SetMessage('You are not authorize to Add '.$thisPageTitle,'e');
                    $general->redirect($pUrl);
                }
                if(isset($_POST['add'])){
                    $title      = mysql_real_escape_string($_POST['title']);
                    if(empty($title)){$general->SetMessage('Title field is required','e');    $error=1;}

                    if(!isset($error)){
                        $data = array(
                            'tName'   =>$title,
                        );
                        $insert = $db->insert($general->table($tPTbl),$data,'','f');
                        if($insert){
                            $general->SetMessage('New Specification added successfully','s');
                            $general->redirect($pUrl);
                        }
                        else{
                            $general->Set_message(111);
                        }
                    }
                }
                $db->show_message();
            ?>
            <h5>Add New <?=$thisPageTitle?></h5>
            <fieldset class="fieldset_boder_1 fieldset_boder">
                <form class="form-horizontal" role="form" method="POST">
                    <div class="form-group">
                        <label class="control-label col-sm-2" for="title">Title</label>
                        <div class="col-sm-6">
                            <input type="text" name="title" class="form-control">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-2"></label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <button type = "submit" class="btn btn-default save_button"  name="add" value="Submit">save</button>
                            </div>
                        </div>
                    </div>
                </form>
            </fieldset>
            <?php
            }
            elseif(isset($_GET['edit'])){
                if(!$db->check_role($mId,'e')){
                    $general->SetMessage('You are not authorize to edit '.$thisPageTitle,'e');
                    $general->redirect($pUrl);
                }
                $edit = intval($_GET['edit']);
                $m = $db->get_rowData($general->table($tPTbl),'stID',$edit);
                if(empty($m)){
                    $general->SetMessage(212);
                    $general->redirect($pUrl);
                }
                if(isset($_POST['edit'])){
                    $title      = mysql_real_escape_string($_POST['title']);
                    if(empty($title)){$general->SetMessage('Title field is required','e'); $error=1;}


                    if(!isset($error)){
                        $data = array(
                            'tName'   =>$title,
                        );
                        $where=array(
                            'stID'    =>$edit
                        );
                        $update = $db->update($general->table($tPTbl),$data,$where);
                        if($update){
                            $secifications=$_POST['specific'];
                            $secific_head=$_POST['sp_head'];
                            $delete=$db->delete($general->table(9),$where);
                            if($delete){
                                foreach($secifications as $sf){
                                    foreach($secific_head as $ts_id => $sh_id){
                                        if($sf==$ts_id){
                                            $data=array(
                                                'stID'=>$edit,
                                                'tsId'=>$sf,
                                                'shId'=>$sh_id
                                            );
                                            $sf_details=$db->insert($general->table(9),$data);  
                                        } 
                                    }
                                }
                            }



                            $general->SetMessage('Template Edit successfully','s');
                            $general->redirect($pUrl);
                        }
                        else{
                            $general->Set_message(111);
                        }
                    }
                }
                $db->show_message();
            ?>
            <h5>Template Edit</h5>
            <fieldset class="fieldset_boder_1 fieldset_boder">
                <form class="form-horizontal" role="form" method="POST">
                    <div class="form-group">
                        <label class="control-label col-sm-1" for="title">Title</label>
                        <div class="col-sm-6">
                            <input type="text" name="title" value="<?=$m['tName']?>" class="form-control">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-1" for="title"></label>
                        <div class="col-sm-11">
                            <div class="table_width_spe col-sm-7">
                                <table width="100%">
                                    <tr>
                                        <th>Specification Select</th>
                                        <th>Specification Head</th>
                                    </tr>

                                    <?php
                                        $Specification=$db->selectAll($general->table(10));
                                        foreach($Specification as $sp){
                                            $select=$db->getRowData($general->table(9),'WHERE tsId='.$sp['tsId'].' AND stID='.$edit);
                                        ?>
                                        <tr>
                                            <td> <label><input value="<?php echo $sp['tsId'] ?>" name="specific[]" type="checkbox" <?php if(!empty($select)){echo 'checked';}?> > <?php echo $sp['tsTitle'] ?></label>
                                            </td>
                                            <td>
                                                <select class="spe_select form-control" name="sp_head[<?php echo $sp['tsId']?>]">
                                                    <?php
                                                        $head=$db->selectAll($general->table(24));
                                                        foreach($head as $h){
                                                        ?>
                                                        <option <?php if($select['shId']==$h['shId']){?> selected="selected"<?php }?> value="<?php echo $h['shId']?>"><?php echo $h['shName']?></option>  
                                                        <?php
                                                        }
                                                    ?>                                        
                                                </select>
                                            </td>
                                        </tr>
                                        <?php
                                        }
                                    ?>  


                                </table>
                            </div>
                            <div class="table_width_spe col-sm-5">
                                <b>Specification List</b> <br>
                                <div class="speci_list">
                                    <ul>
                                        <?php
                                            $Specification=$db->selectAll($general->table(9),'WHERE stID='.$edit);
                                            $i=1;
                                            foreach($Specification as $sp){
                                                $sn=$db->get_rowData($general->table(10),'tsId',$sp['tsId']);
                                            ?><li><?php echo $i++.' . '. $sn['tsTitle'] ?></li>
                                            <?php
                                            }
                                        ?>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-2" for="title"></label>
                        <div class="col-sm-5">
                            <div class="preparation">
                                <button type = "submit" class="btn btn-default save_button" name="edit" value="Update">Update</button>
                            </div>
                        </div>
                    </div>
                </form>
            </fieldset>
            <?php
            }
            else{
                $groups=$db->selectAll($general->table($tPTbl));
                $db->show_message();
            ?>
            <table class="table table-striped"> 
                <thead>
                    <tr>
                        <td>SN</td>
                        <td>Title</td>
                        <td>Edit</td>
                    </tr>
                </thead>

                <tbody>
                <?php
                    $i=1;
                    foreach($groups as $g){
                    ?>
                    <tr>
                        <td><?php echo $i++?></td>
                        <td><?php echo $g['tName']?></td>
                        <td><a href="<?php echo $pUrl?>&edit=<?php echo $g['stId']?>" class="btn btn-primary">Edit</a></td>
                    </tr>
                    <?php
                    }
                ?>

                <tbody>
            </table>
            <?php
            }
        ?>
    </div>
</div>