<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Bangladesh Submarine Cable Company Limited (BSCCL)</title>
    <link href='https://fonts.googleapis.com/css?family=Open+Sans' rel='s2"tylesheet' type='text/css'>
    <link href='https://fonts.googleapis.com/css?family=Pacifico' rel='stylesheet' type='text/css'>
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <!-- <link href="css/bootstrap-theme.min.css" rel="stylesheet"> -->
    <link href="css/style.css" rel="stylesheet">
    <link href="css/responsive.css" rel="stylesheet">
    <link href="css/font-awesome.min.css" rel="stylesheet">
    <link href="css/jquery.smartmenus.bootstrap.css" rel="stylesheet">
    <link href="css/foundation-datepicker.min.css" rel="stylesheet">
    <link rel="stylesheet" href="css/jquery-ui.css">
    <link rel='stylesheet' href="css/fullcalendar.css" />

    <script type="text/javascript" src="js/jquery-2.1.1.min.js"></script>
    <script src='http://fullcalendar.io/js/fullcalendar-2.2.3/lib/moment.min.js'></script>
    <script src='http://fullcalendar.io/js/fullcalendar-2.2.3/fullcalendar.min.js'></script>
    <script type="text/javascript">$(document).ready(function(){$(".hideit").click(function(){$(this).hide(700);});});</script>
    <!-- css and js for lightbox -->
    <!--captcha-->
    <script type="text/javascript">
        function isNumberKey(evt){
            var charCode=(evt.which)?evt.which:event.keyCode;
            if(charCode>31&&(charCode<48|| charCode > 57)&&charCode!=46&&charCode!=13){
                return false;
            }
            return true;
        }
    </script>    

    <style type="text/css">
        .gsc-input {
            line-height: 16px;
        }

        .gsc-search-button.gsc-search-button-v2 {
            height: 25px;
        }
    </style> 
</head>
<body>
<?php 
    if(isset($_COOKIE['biemep']) && isset($_COOKIE['bipaep'])){
        $email      = $_COOKIE['biemep'];
        $password   = $_COOKIE['bipaep']; 
        $user=$db->get_rowData($general->table(31),'bEmail',$email);
        if(!empty($user)){
          if($user['IsActive']==1 && $user['bPassword']==$password){
            $_SESSION['eitaiuser'] = $email;
          }
       }
    }
 ?>
<div id="wrapper">
<header id="header" class="header">
    <div class="structure">
        <div class="row">
            <div class="col-xs-12 col-md-2">
                <p style="text-align:center;"><a href="<?php echo URL;?>"><img src="images/logo.png" alt="logo"></a></p>
            </div>
            <div class="col-xs-12 col-md-7">
                <h2 class="cell">বাংলাদেশ সাবমেরিন কেবল কোম্পানী লিমিটেড (বিএসসিসিএল)</h2>
                <h2 class="cell1">Bangladesh Submarine Cable Company Limited (BSCCL)</h2>
            </div>
            <div class="col-xs-12 col-md-3 tender_tagline">
                <p><span>e</span> -tender</p>
            </div>
        </div>
    </div>

    <nav class="conMenu">
        <div class="Menustructure">
            <div class="row nav_bg">
                <nav class="navbar navbar_custom fix_width Mmenu">
                    <div class="">

                        <div class="navbar-header">
                            <button type="button" class="navbar-toggle collapsed togbutton" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                                <span class="sr-only">Toggle navigation</span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>
                        </div>


                        <div class="collapse navbar-collapse padding_zero" id="bs-example-navbar-collapse-1">
                            <ul class="nav navbar-nav nav_menu menu">
                                <li><a href="<?php if(isset($_SESSION['eitaiuser'])){echo URL.'/dashboard';}else{echo URL;}?>" class="action"><i class="fa fa-home Home"></i></a></li>
                                <?php 
                                    if(isset($_SESSION['eitaiuser'])){
                                    ?>

                                <li class="dropdown"><a href="javascript:void(0);">e-Tenders <span class="caret"></span></a>
                                    <ul class="dropdown-menu dmenu">
                                    <li><a href="<?php echo URL?>/tender_list">List of Tender</a></li>
                                    <li><a href="#">Bidding Tender</a></li>
                                    <li><a href="#">Award Tender</a></li>
                                    </ul>
                                </li> 
                                <?php 
                                    }else{
                                ?>
                                <li class="dropdown"><a href="<?=URL?>">e-Tenders <!--<span class="caret"></span>--></a>
                                <?php
                                    }
                                    if(isset($_SESSION['eitaiuser'])){
                                    ?>
                                    <li><a href="<?=URL?>/profile">View Profile</a></li>
                                    <li><a href="<?=URL?>/update_profile">Update Profile</a></li>
                                    <li><a href="<?=URL?>/notification">Notification</a></li>
                                    <li class="dropdown"><a href="#">Send Query<span class="caret"></span></a>
                                        <ul class="dropdown-menu dmenu">
                                            <li><a href="<?=URL?>/general_query">General Query</a></li>
                                            <li><a href="<?=URL?>/tender_releted_query">Tender Releted Query</a></li>
                                        </ul>
                                    </li>
                                    <li><a href="<?=URL?>/change_password">Change Password</a></li>
                                    <li><a href="<?=URL?>/logout">Logout</a></li>
                                    <?php 
                                    }else{
                                    ?>
                                    <li><a href="<?=URL?>/registration">New User Registration</a></li>
                                    <li><a href="<?=URL?>/login">Login</a></li>
                                    <li><a href="<?=URL?>/faq">FAQ</a></li>
                                    <li><a href="#">Bidder Manual</a></li>
                                    <li><a href="<?=URL?>/query_form">Inquiry</a></li>
                                    <li><a href="<?=URL?>/contact">Contact Us</a></li>
                                    <?php
                                    }
                                ?>
                            </ul>
                        </div>
                    </div>
                </nav>
            </div>
        </div>  
    </nav>
</header>
