<?php
    if(!$db->check_role($mId)){
        $general->SetMessage('You are not authorize to access '.$thisPageTitle,'e');
        $general->redirect(ADMIN_URL);
    }
    $tPTbl = 10;
    $pt     = 'Specification';
    $pId    = 'su_id';


    if(isset($_GET['add'])){$data=array($pUrl=>$thisPageTitle,1=>'Add');}
    elseif(isset($_GET['edit'])){$data=array($pUrl=>$thisPageTitle,1=>'Edit');}
    else{$data=array($pUrl=>$thisPageTitle);}

    $general->breadcrumb($data);
?>
<div class="structure">
    <div class="row padding_top_bottom main_con">
        <div class="row">
            <div class="col-xs-12 col-md-10">
                <!-- <h3><a href="<?php echo $pUrl?>"><?php echo $thisPageTitle?></a></h3> -->
            </div>
            <div class="col-xs-6 col-md-2">
                <nav>
                    <ul class="pager">
                        <li><a href="<?php echo $pUrl?>&add">Add New <?php echo $pt?></a></li>
                        <!--<li><a href="#">Next</a></li>-->
                    </ul>
                </nav>
            </div>
        </div>

        <?php
            if(isset($_GET['add'])){
                if(!$db->check_role($mId,'a')){
                    $general->SetMessage('You are not authorize to edit '.$thisPageTitle,'e');
                    $general->redirect($pUrl);
                }
                if(isset($_POST['add'])){
                    $title      = mysql_real_escape_string($_POST['title']);
                    if(isset($_POST['required'])){$required   = $_POST['required'];   }else{$required   = 0;}
                    if(empty($title)){$general->SetMessage('Title field is required','e');    $error=1;}

                    if(!isset($error)){
                        $data = array(
                            'tsTitle'   =>$title,
                            'trRequired'=>$required,
                        );
                        $general->arrayUserInfoAdd($data);
                        $insert = $db->insert($general->table($tPTbl),$data);
                        if($insert){
                            $general->SetMessage('New Specification added successfully','s');
                            $general->redirect($pUrl);
                        }
                        else{
                            $general->Set_message(111);
                        }
                    }
                }
                $db->show_message();
            ?>
            <h5>Add new <?=$thisPageTitle?></h5>
             <fieldset class="fieldset_boder_1 fieldset_boder">
             <form class="form-horizontal" role="form" method="POST">
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Title :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <input type="text" name="title" class="form-control">
                            </div>
                        </div>
                    </div>
                     <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Required :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                             <input type="checkbox" name="required" value="1" class="inp"> Yes 
                            </div>
                        </div>
                    </div>
                     <div class="form-group">
                        <label class="control-label col-sm-3" for="email"></label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <input type="submit" class="btn btn-default save_button" name="add" value="Submit" />
                            </div>
                        </div>
                    </div>
                </form>
            </fieldset>
            <?php
            }
            elseif(isset($_GET['edit'])){
                if(!$db->check_role($mId,'e')){
                    $general->SetMessage('You are not authorize to edit '.$thisPageTitle,'e');
                    $general->redirect($pUrl);
                }
                $edit = intval($_GET['edit']);
                $m = $db->get_rowData($general->table($tPTbl),'tsId',$edit);
                if(empty($m)){
                    $general->SetMessage(212);
                    $general->redirect($pUrl);
                }
                if(isset($_POST['edit'])){
                    $title      = mysql_real_escape_string($_POST['title']);
                    if(isset($_POST['required'])){$required   = $_POST['required'];   }else{$required   = 0;}
                    if(empty($title)){$general->SetMessage('Title field is required','e'); $error=1;}


                    if(!isset($error)){
                        $data = array(
                            'tsTitle'   =>$title,
                            'trRequired'=>$required,
                            'modifiedBy'=>UID,
                            'modifiedOn'=>TIME
                        );
                        $general->arrayUserInfoAdd($data);
                        $where=array(
                            'tsId'    =>$edit
                        );
                        $update = $db->update($general->table($tPTbl),$data,$where);
                        if($update){
                            $general->SetMessage('Specification Edit successfully','s');
                            $general->redirect($pUrl);
                        }
                        else{
                            $general->Set_message(111);
                        }
                    }
                }
                $db->show_message();
            ?>
            <h5>Admin Group Edit</h5>
            <fieldset class="fieldset_boder_1 fieldset_boder">
                <form class="form-horizontal" role="form" method="POST">
                    <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Title :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <input type="text" name="title" value="<?=$m['tsTitle']?>" class="inp form-control">
                            </div>
                        </div>
                    </div>
                     <div class="form-group">
                        <label class="control-label col-sm-3" for="email">Required :</label>
                        <div class="col-sm-6">
                            <div class="preparation">
                             <input type="checkbox" name="required" value="1" class="inp"> Yes 
                            </div>
                        </div>
                    </div>
                     <div class="form-group">
                        <label class="control-label col-sm-3" for="email"></label>
                        <div class="col-sm-6">
                            <div class="preparation">
                                <input type="submit" class="btn btn-default save_button" name="edit" value="Update" /> 
                            </div>
                        </div>
                    </div>
                </form>
            </fieldset>
                
            <?php
            }
            else{
                $groups=$db->selectAll($general->table($tPTbl));
                $db->show_message();
            ?>
            <table class="table table-striped"> 
                <thead>
                    <tr>
                        <td>SN</td>
                        <td>Title</td>
                        <td>Edit</td>
                    </tr>
                </thead>

                <tbody>
                <?php
                    $i=1;
                    foreach($groups as $g){
                    ?>
                    <tr>
                        <td><?php echo $i++?></td>
                        <td><?php echo $g['tsTitle']?></td>
                        <td><a href="<?php echo $pUrl?>&edit=<?php echo $g['tsId']?>" class="btn btn-primary">Edit</a></td>
                    </tr>
                    <?php
                    }
                ?>

                <tbody>
            </table>
            <?php
            }
        ?>
    </div>
</div>